"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createAction(type, payload, ext) {
    var action = payload === undefined || payload === null ? { type: type } : { type: type, payload: payload };
    return ext === undefined || ext === null ? action : Object.keys(ext).reduce(function (result, key) {
        result[key] = ext[key];
        return result;
    }, action);
}
exports.createAction = createAction;
//# sourceMappingURL=createAction.js.map