"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createReducer = function (defaultState) {
    var handlers = [];
    for (var _i = 1; _i < arguments.length; _i++) {
        handlers[_i - 1] = arguments[_i];
    }
    return (function (Handlers) {
        var ActionHandler = Object.assign.apply(Object, __spreadArrays([{}], Handlers));
        return function (state, action) {
            if (state === void 0) { state = defaultState; }
            var Reducer = ActionHandler[action.type];
            if (Reducer) {
                return Reducer(state, action);
            }
            else {
                return state;
            }
        };
    })(handlers);
};
//# sourceMappingURL=createReducer.js.map